## Contents

- Methods

class solace.ReplayStartLocation

- This class is not exposed for construction by API users. Users should obtain an instances from one of the following:
- solace.SolclientFactory.createReplayStartLocationBeginning
- solace.SolclientFactory.createReplayStartLocationDate

Defines the ReplayStartLocation class. The ReplayStartLocation is set in the corresponding MessageConsumer property solace.MessageConsumerProperties#replayStartLocation The single member variable, _replayStartTime is undefined in ReplayStartLocationBeginning and contains the elapsed time in milliseconds since the epoch in ReplayStartLocationDate

## Constructor Top

| ReplayStartLocation ( SObject spec ) |  |

## Methods Top

String | toString ( ) |

## Constructor details Top

###
ReplayStartLocation ( SObject spec )

- This class is not exposed for construction by API users. Users should obtain an instances from one of the following:
- solace.SolclientFactory.createReplayStartLocationBeginning
- solace.SolclientFactory.createReplayStartLocationDate

Defines the ReplayStartLocation class. The ReplayStartLocation is set in the corresponding MessageConsumer property solace.MessageConsumerProperties#replayStartLocation The single member variable, _replayStartTime is undefined in ReplayStartLocationBeginning and contains the elapsed time in milliseconds since the epoch in ReplayStartLocationDate

#### Parameters

SObject | spec The ReplayStartLocation spec Use the factory methods on solace.SolclientFactory.

## Methods Detail Top

###
public String toString ( )

#### Return Value

String | A generic description of the Destination.